# dwmclock settings

# enable battery charge display
CFLAGS += -DBATTERY

# the string to match when the battery is charging; comment out to disable charging detection
CFLAGS += -DCHARGING=\"Charging\\n\"

# enable battery power usage display; needs POWER_NOW or CURRENT_NOW+VOLTAGE_NOW
#CFLAGS += -DPOWER

# set this to the correct path for your current system
CFLAGS += -DENERGY_FULL=\"/sys/class/power_supply/BAT0/energy_full\"
CFLAGS += -DENERGY_NOW=\"/sys/class/power_supply/BAT0/energy_now\"
CFLAGS += -DSTATUS=\"/sys/class/power_supply/BAT0/status\"
CFLAGS += -DPOWER_NOW=\"/sys/class/power_supply/BAT0/power_now\"

# possible alternative on some systems
#CFLAGS += -DENERGY_FULL=\"/sys/class/power_supply/BAT0/charge_full\"
#CFLAGS += -DENERGY_NOW=\"/sys/class/power_supply/BAT0/charge_now\"
#CFLAGS += -DSTATUS=\"/sys/class/power_supply/ADP1/online\"
#CFLAGS += -DCHARGING=\"1\\n\"
#CFLAGS += -DCURRENT_NOW=\"/sys/class/power_supply/BAT0/current_now\"
#CFLAGS += -DVOLTAGE_NOW=\"/sys/class/power_supply/BAT0/voltage_now\"

# every how many seconds to refresh the battery charge display
CFLAGS += -DBAT_REFRESH_SECONDS=10

# this is here for legacy reasons, ignore it
CFLAGS += -DMUL=1

# sleep to the start of the next second instead of for 1s
CFLAGS += -DEXACT_SLEEP
